Loading...
Searching...
No Matches
Opm::EQUIL::DeckDependent::InitialStateComputer< FluidSystem, Grid, GridView, ElementMapper, CartesianIndexMapper > Class Template Reference

## Public Types

using | Vec = std::vector<Scalar>
using | PVec = std::vector<Vec>

## Public Member Functions

template<class MaterialLawManager>
| InitialStateComputer (MaterialLawManager &materialLawManager, const EclipseState &eclipseState, const Grid &grid, const GridView &gridView, const CartesianIndexMapper &cartMapper, const Scalar grav, const int num_pressure_points=2000, const bool applySwatInit=true)
const Vec & | temperature () const
const Vec & | saltConcentration () const
const Vec & | saltSaturation () const
const PVec & | press () const
const PVec & | saturation () const
const Vec & | rs () const
const Vec & | rv () const
const Vec & | rvw () const

The documentation for this class was generated from the following files:

- opm/simulators/flow/equil/InitStateEquil.hpp
- opm/simulators/flow/equil/InitStateEquil_impl.hpp